Skip to main content
API Version: v1 Server Variables:
VariableDefaultDescription
endpointSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com

Authentication

API key

Pass an API key with the api-key header.

Auth tokens

Pass an auth token with the authorization header.

Oauth2authoauth20

Flow: implicit Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize Scopes:
  • https://ai.azure.com/.default

Batch

Create batch

POST {endpoint}/openai/v1/batches
Creates and executes a batch from an uploaded file of requests

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Header

NameRequiredTypeDescription
acceptTruestring
Possible values: application/json

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
completion_windowenumThe time frame within which the batch should be processed. Currently only 24h is supported.
Possible values: 24h
Yes
endpointenumThe endpoint to be used for all requests in the batch. Currently /v1/chat/completions is supported.
Possible values: /v1/chat/completions, /v1/embeddings
Yes
input_file_idstringThe ID of an uploaded file that contains requests for the new batch.



Your input file must be formatted as a JSON file,
and must be uploaded with the purpose batch.
No

Responses

Status Code: 201 Description: The request has succeeded and a new resource has been created as a result.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List batches

GET {endpoint}/openai/v1/batches
List your organization’s batches.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
afterqueryNostringA cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
limitqueryNointegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.

Request Header

NameRequiredTypeDescription
acceptTruestring
Possible values: application/json

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListBatchesResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve batch

GET {endpoint}/openai/v1/batches/{batch_id}
Retrieves a batch.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
batch_idpathYesstringThe ID of the batch to retrieve.

Request Header

NameRequiredTypeDescription
acceptTruestring
Possible values: application/json

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Cancel batch

POST {endpoint}/openai/v1/batches/{batch_id}/cancel
Cancels an in-progress batch.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
batch_idpathYesstringThe ID of the batch to cancel.

Request Header

NameRequiredTypeDescription
acceptTruestring
Possible values: application/json

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Chat

Create chat completion

POST {endpoint}/openai/v1/chat/completions
Creates a chat completion.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
audioOpenAI.CreateChatCompletionRequestAudio or nullParameters for audio output. Required when audio output is requested with
modalities: ["audio"].
No
frequency_penaltynumber or nullNumber between -2.0 and 2.0. Positive values penalize new tokens based on
their existing frequency in the text so far, decreasing the model’s
likelihood to repeat the same line verbatim.
No
function_callstring or OpenAI.ChatCompletionFunctionCallOptionDeprecated in favor of tool_choice.
Controls which (if any) function is called by the model.
none means the model will not call a function and instead generates a
message.
auto means the model can pick between generating a message or calling a
function.
Specifying a particular function via {"name": "my_function"} forces the
model to call that function.
none is the default when no functions are present. auto is the default
if functions are present.
No
functionsarray of OpenAI.ChatCompletionFunctionsDeprecated in favor of tools.
A list of functions the model may generate JSON inputs for.
No
logit_biasobject or nullModify the likelihood of specified tokens appearing in the completion.
Accepts a JSON object that maps tokens (specified by their token ID in the
tokenizer) to an associated bias value from -100 to 100. Mathematically,
the bias is added to the logits generated by the model prior to sampling.
The exact effect will vary per model, but values between -1 and 1 should
decrease or increase likelihood of selection; values like -100 or 100
should result in a ban or exclusive selection of the relevant token.
No
logprobsboolean or nullWhether to return log probabilities of the output tokens or not. If true,
returns the log probabilities of each output token returned in the
content of message.
No
max_completion_tokensinteger or nullAn upper bound for the number of tokens that can be generated for a
completion, including visible output tokens and reasoning tokens.
No
max_tokensinteger or nullThe maximum number of tokens that can be generated in the chat completion.
This value can be used to control costs for text generated via API.

This value is now deprecated in favor of max_completion_tokens, and is
not compatible with o1 series models.
No
messagesarray of OpenAI.ChatCompletionRequestMessageA list of messages comprising the conversation so far. Depending on the
model you use, different message types (modalities) are supported,
like text, images, and audio.
Yes
metadataOpenAI.Metadata or nullNo
modalitiesOpenAI.ResponseModalitiesOutput types that you would like the model to generate.
Most models are capable of generating text, which is the default:
["text"]
The gpt-4o-audio-preview model can also be used to
generate audio. To request that this model generate
both text and audio responses, you can use:
["text", "audio"]
No
modelstringModel ID used to generate the response, like gpt-4o or o3. OpenAI
offers a wide range of models with different capabilities, performance
characteristics, and price points. Refer to the model guide
to browse and compare available models.
Yes
ninteger or nullHow many chat completion choices to generate for each input message. Note that you will be charged based on the number of generated tokens across all of the choices. Keep n as 1 to minimize costs.No
parallel_tool_callsOpenAI.ParallelToolCallsWhether to enable parallel function calling during tool use.No
predictionOpenAI.PredictionContentStatic predicted output content, such as the content of a text file that is
being regenerated.
No
└─ contentstring or array of OpenAI.ChatCompletionRequestMessageContentPartTextThe content that should be matched when generating a model response.
If generated tokens would match this content, the entire model response
can be returned much more quickly.
Yes
└─ typeenumThe type of the predicted content you want to provide. This type is
currently always content.
Possible values: content
Yes
presence_penaltynumber or nullNumber between -2.0 and 2.0. Positive values penalize new tokens based on
whether they appear in the text so far, increasing the model’s likelihood
to talk about new topics.
No
prompt_cache_keystringUsed by OpenAI to cache responses for similar requests to optimize your cache hit rates. Replaces the user field. Learn more.No
prompt_cache_retentionstring or nullNo
reasoning_effortOpenAI.ReasoningEffortConstrains effort on reasoning for
reasoning models.
Currently supported values are none, minimal, low, medium, high, and xhigh. Reducing
reasoning effort can result in faster responses and fewer tokens used
on reasoning in a response.
- gpt-5.1 defaults to none, which does not perform reasoning. The supported reasoning values for gpt-5.1 are none, low, medium, and high. Tool calls are supported for all reasoning values in gpt-5.1.
- All models before gpt-5.1 default to medium reasoning effort, and do not support none.
- The gpt-5-pro model defaults to (and only supports) high reasoning effort.
- xhigh is supported for all models after gpt-5.1-codex-max.
No
response_formatOpenAI.CreateChatCompletionRequestResponseFormatAn object specifying the format that the model must output.
Setting to { "type": "json_schema", "json_schema": {...} } enables
Structured Outputs which ensure the model will match your supplied JSON
schema. Learn more in the Structured Outputs
guide
.
Setting to { "type": "json_object" } enables the older JSON mode, which
ensures the message the model generates is valid JSON. Using json_schema
is preferred for models that support it.
No
└─ typeOpenAI.CreateChatCompletionRequestResponseFormatTypeYes
safety_identifierstringA stable identifier used to help detect users of your application that may be violating OpenAI’s usage policies.
The IDs should be a string that uniquely identifies each user. We recommend hashing their username or email address, in order to avoid sending us any identifying information. Learn more.
No
seedinteger or nullThis feature is in Beta.
If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result.
Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor changes in the backend.
No
stopOpenAI.StopConfigurationNot supported with latest reasoning models o3 and o4-mini.
Up to four sequences where the API will stop generating further tokens. The
returned text will not contain the stop sequence.
No
storeboolean or nullWhether or not to store the output of this chat completion request for
use in model distillation or evals products.
No
streamboolean or nullIf set to true, the model response data will be streamed to the client
as it is generated using server-sent events.
No
stream_optionsOpenAI.ChatCompletionStreamOptions or nullNo
temperaturenumber or nullNo
tool_choiceOpenAI.ChatCompletionToolChoiceOptionControls which (if any) tool is called by the model.
none means the model will not call any tool and instead generates a message.
auto means the model can pick between generating a message or calling one or more tools.
required means the model must call one or more tools.
Specifying a particular tool via {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.
none is the default when no tools are present. auto is the default if tools are present.
No
toolsarray of OpenAI.ChatCompletionTool or OpenAI.CustomToolChatCompletionsA list of tools the model may call. You can provide either
custom tools or
function tools.
No
top_logprobsinteger or nullNo
top_pnumber or nullNo
userstring (deprecated)A unique identifier representing your end-user, which can help to
monitor and detect abuse.
No
user_security_contextAzureUserSecurityContextUser security context contains several parameters that describe the application itself, and the end user that interacts with the application. These fields assist your security operations teams to investigate and mitigate security incidents by providing a comprehensive approach to protecting your AI applications. Learn more about protecting AI applications using Microsoft Defender for Cloud.No
verbosityOpenAI.VerbosityConstrains the verbosity of the model’s response. Lower values will result in
more concise responses, while higher values will result in more verbose responses.
Currently supported values are low, medium, and high.
No

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject or object
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Examples

Example

POST {endpoint}/openai/v1/chat/completions

Completions

Create completion

POST {endpoint}/openai/v1/completions
Creates a completion.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
best_ofinteger or nullGenerates best_of completions server-side and returns the “best” (the one with the highest log probability per token). Results cannot be streamed.
When used with n, best_of controls the number of candidate completions and n specifies how many to return – best_of must be greater than n.
Note:* Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens and stop.
No
echoboolean or nullEcho back the prompt in addition to the completionNo
frequency_penaltynumber or nullNumber between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model’s likelihood to repeat the same line verbatim.
See more information about frequency and presence penalties.
No
logit_biasobject or nullModify the likelihood of specified tokens appearing in the completion.
Accepts a JSON object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.
As an example, you can pass {"50256": -100} to prevent the <|endoftext|> token from being generated.
No
logprobsinteger or nullInclude the log probabilities on the logprobs most likely output tokens, as well the chosen tokens. For example, if logprobs is 5, the API will return a list of the five most likely tokens. The API will always return the logprob of the sampled token, so there may be up to logprobs+1 elements in the response.
The maximum value for logprobs is 5.
No
max_tokensinteger or nullThe maximum number of tokensthat can be generated in the completion.
The token count of your prompt plus max_tokens cannot exceed the model’s context length. Example Python code for counting tokens.
No
modelstringID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.Yes
ninteger or nullHow many completions to generate for each prompt.
Note:* Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens and stop.
No
presence_penaltynumber or nullNumber between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model’s likelihood to talk about new topics.
See more information about frequency and presence penalties.
No
promptstring or array of string or nullNo
seedinteger or nullIf specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result.
Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor changes in the backend.
No
stopOpenAI.StopConfigurationNot supported with latest reasoning models o3 and o4-mini.
Up to four sequences where the API will stop generating further tokens. The
returned text will not contain the stop sequence.
No
streamboolean or nullWhether to stream back partial progress. If set, tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message. Example Python code.No
stream_optionsOpenAI.ChatCompletionStreamOptions or nullNo
suffixstring or nullThe suffix that comes after a completion of inserted text.
This parameter is only supported for gpt-3.5-turbo-instruct.
No
temperaturenumber or nullWhat sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.
We generally recommend altering this or top_p but not both.
No
top_pnumber or nullAn alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.
We generally recommend altering this or temperature but not both.
No
userstringLearn more.No

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Examples

Example

POST {endpoint}/openai/v1/completions

Containers

List containers

GET {endpoint}/openai/v1/containers

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
limitqueryNointegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.
orderqueryNostring
Possible values: asc, desc
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
afterqueryNostringA cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
beforequeryNostringA cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ContainerListResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create container

POST {endpoint}/openai/v1/containers

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
expires_afterOpenAI.CreateContainerBodyExpiresAfterNo
└─ anchorenum
Possible values: last_active_at
Yes
└─ minutesintegerYes
file_idsarray of stringIDs of files to copy to the container.No
memory_limitenumOptional memory limit for the container. Defaults to 1g.
Possible values: 1g, 4g, 16g, 64g
No
namestringName of the container to create.Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ContainerResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve container

GET {endpoint}/openai/v1/containers/{container_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container to retrieve.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ContainerResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete container

DELETE {endpoint}/openai/v1/containers/{container_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container to delete.

Responses

Status Code: 200 Description: The request has succeeded. Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List container files

GET {endpoint}/openai/v1/containers/{container_id}/files

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container to list files from.
limitqueryNointegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.
orderqueryNostring
Possible values: asc, desc
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
afterqueryNostringA cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
beforequeryNostringA cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ContainerFileListResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create container file

POST {endpoint}/openai/v1/containers/{container_id}/files

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container to create a file in.

Request Body

Content-Type: multipart/form-data
NameTypeDescriptionRequiredDefault
fileThe File object (not file name) to be uploaded.No
file_idstringName of the file to create.No

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ContainerFileResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve container file

GET {endpoint}/openai/v1/containers/{container_id}/files/{file_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container.
file_idpathYesstringThe ID of the file to retrieve.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ContainerFileResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete container file

DELETE {endpoint}/openai/v1/containers/{container_id}/files/{file_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container.
file_idpathYesstringThe ID of the file to delete.

Responses

Status Code: 200 Description: The request has succeeded. Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve container file content

GET {endpoint}/openai/v1/containers/{container_id}/files/{file_id}/content

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
container_idpathYesstringThe ID of the container.
file_idpathYesstringThe ID of the file to retrieve content from.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/octet-streamobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Conversations

Create conversation

POST {endpoint}/openai/v1/conversations

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
itemsarray of OpenAI.InputItem or nullNo
metadataOpenAI.Metadata or nullNo

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve conversation

GET {endpoint}/openai/v1/conversations/{conversation_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation to retrieve.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Update conversation

POST {endpoint}/openai/v1/conversations/{conversation_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation to update.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
metadataOpenAI.Metadata or nullSet of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete conversation

DELETE {endpoint}/openai/v1/conversations/{conversation_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation to delete.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.DeletedConversationResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List conversation items

GET {endpoint}/openai/v1/conversations/{conversation_id}/items

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation to list items for.
limitqueryNointegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
orderqueryNostring
Possible values: asc, desc
The order to return the input items in. Default is desc.
afterqueryNostringAn item ID to list items after, used in pagination.
includequeryNoarraySpecify additional output data to include in the model response.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationItemList
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create conversation items

POST {endpoint}/openai/v1/conversations/{conversation_id}/items

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation to add the item to.
includequeryNoarrayAdditional fields to include in the response.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
itemsarray of OpenAI.InputItemYes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationItemList
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve conversation item

GET {endpoint}/openai/v1/conversations/{conversation_id}/items/{item_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation that contains the item.
item_idpathYesstringThe ID of the item to retrieve.
includequeryNoarrayAdditional fields to include in the response.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationItem
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete conversation item

DELETE {endpoint}/openai/v1/conversations/{conversation_id}/items/{item_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
conversation_idpathYesstringThe ID of the conversation that contains the item.
item_idpathYesstringThe ID of the item to delete.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ConversationResource
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Evals

List evals

GET {endpoint}/openai/v1/evals
List evaluations for a project.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
afterqueryNostringIdentifier for the last eval from the previous pagination request.
limitqueryNointegerA limit on the number of evals to be returned in a single pagination response.
orderqueryNostring
Possible values: asc, desc
Sort order for evals by timestamp. Use asc for ascending order or
desc for descending order.
order_byqueryNostring
Possible values: created_at, updated_at
Evals can be ordered by creation time or last updated time. Use
created_at for creation time or updated_at for last updated
time.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.EvalList
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create eval

POST {endpoint}/openai/v1/evals
Create the structure of an evaluation that can be used to test a model’s performance. An evaluation is a set of testing criteria and a datasource. After creating an evaluation, you can run it on different models and model parameters. We support several types of graders and datasources.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
data_source_configOpenAI.CreateEvalCustomDataSourceConfig or OpenAI.CreateEvalLogsDataSourceConfig or OpenAI.CreateEvalStoredCompletionsDataSourceConfigThe configuration for the data source used for the evaluation runs. Dictates the schema of the data used in the evaluation.Yes
metadataOpenAI.Metadata or nullNo
namestringThe name of the evaluation.No
statusCodeenum
Possible values: 201
Yes
testing_criteriaarray of OpenAI.CreateEvalLabelModelGrader or OpenAI.EvalGraderStringCheck or OpenAI.EvalGraderTextSimilarity or OpenAI.EvalGraderPython or OpenAI.EvalGraderScoreModel or EvalGraderEndpointA list of graders for all eval runs in this group. Graders can reference variables in the data source using double curly braces notation, like {{item.variable_name}}. To reference the model’s output, use the sample namespace (ie, {{sample.output_text}}).Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.Eval
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Get eval

GET {endpoint}/openai/v1/evals/{eval_id}
Retrieve an evaluation by its ID. Retrieves an evaluation by its ID.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.Eval
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Update eval

POST {endpoint}/openai/v1/evals/{eval_id}
Update select, mutable properties of a specified evaluation.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
metadataOpenAI.MetadataSet of 16 key-value pairs that can be attached to an object. This can be
useful for storing additional information about the object in a structured
format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings
with a maximum length of 512 characters.
No
namestringNo

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.Eval
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete eval

DELETE {endpoint}/openai/v1/evals/{eval_id}
Delete a specified evaluation.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Get eval runs

GET {endpoint}/openai/v1/evals/{eval_id}/runs
Retrieve a list of runs for a specified evaluation.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring
afterqueryNostring
limitqueryNointeger
orderqueryNostring
Possible values: asc, desc
statusqueryNostring
Possible values: queued, in_progress, completed, canceled, failed

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.EvalRunList
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create eval run

POST {endpoint}/openai/v1/evals/{eval_id}/runs
Create a new evaluation run, beginning the grading process.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
data_sourceOpenAI.CreateEvalJsonlRunDataSource or OpenAI.CreateEvalCompletionsRunDataSource or OpenAI.CreateEvalResponsesRunDataSourceDetails about the run’s data source.Yes
metadataOpenAI.Metadata or nullNo
namestringThe name of the run.No

Responses

Status Code: 201 Description: The request has succeeded and a new resource has been created as a result.
Content-TypeTypeDescription
application/jsonOpenAI.EvalRun
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Get eval run

GET {endpoint}/openai/v1/evals/{eval_id}/runs/{run_id}
Retrieve a specific evaluation run by its ID.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring
run_idpathYesstring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.EvalRun
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Cancel eval run

POST {endpoint}/openai/v1/evals/{eval_id}/runs/{run_id}
Cancel a specific evaluation run by its ID.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring
run_idpathYesstring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.EvalRun
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete eval run

DELETE {endpoint}/openai/v1/evals/{eval_id}/runs/{run_id}
Delete a specific evaluation run by its ID.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring
run_idpathYesstring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Get eval run output items

GET {endpoint}/openai/v1/evals/{eval_id}/runs/{run_id}/output_items
Get a list of output items for a specified evaluation run.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring
run_idpathYesstring
afterqueryNostring
limitqueryNointeger
statusqueryNostring
Possible values: fail, pass
orderqueryNostring
Possible values: asc, desc

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.EvalRunOutputItemList
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Get eval run output item

GET {endpoint}/openai/v1/evals/{eval_id}/runs/{run_id}/output_items/{output_item_id}
Retrieve a specific output item from an evaluation run by its ID.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
eval_idpathYesstring
run_idpathYesstring
output_item_idpathYesstring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.EvalRunOutputItem
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Files

Create file

POST {endpoint}/openai/v1/files

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: multipart/form-data
NameTypeDescriptionRequiredDefault
expires_afterobjectYes
└─ anchorAzureFileExpiryAnchorYes
└─ secondsintegerYes
fileThe File object (not file name) to be uploaded.Yes
purposeenumThe intended purpose of the uploaded file. One of: - assistants: Used in the Assistants API - batch: Used in the Batch API - fine-tune: Used for fine-tuning - evals: Used for eval data sets
Possible values: assistants, batch, fine-tune, evals
Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Examples

Example

POST {endpoint}/openai/v1/files

List files

GET {endpoint}/openai/v1/files

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
purposequeryNostring
limitqueryNointeger
orderqueryNostring
Possible values: asc, desc
afterqueryNostring

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListFilesResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve file

GET {endpoint}/openai/v1/files/{file_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
file_idpathYesstringThe ID of the file to use for this request.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete file

DELETE {endpoint}/openai/v1/files/{file_id}

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
file_idpathYesstringThe ID of the file to use for this request.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.DeleteFileResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Download file

GET {endpoint}/openai/v1/files/{file_id}/content

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
file_idpathYesstringThe ID of the file to use for this request.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/octet-streamobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Embeddings

Create embedding

POST {endpoint}/openai/v1/embeddings
Creates an embedding vector representing the input text.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
dimensionsintegerThe number of dimensions the resulting output embeddings should have. Only supported in text-embedding-3 and later models.
Constraints: min: 1
No
encoding_formatenumThe format to return the embeddings in. Can be either float or base64.
Possible values: float, base64
No
inputstring or array of string or array of integer or array of arrayInput text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8,192 tokens for all embedding models), cannot be an empty string, and any array must be 2,048 dimensions or less. Example Python code for counting tokens. In addition to the per-input token limit, all embedding models enforce a maximum of 300,000 tokens summed across all inputs in a single request.Yes
modelstringID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.Yes
userstringLearn more.No

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.CreateEmbeddingResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Examples

Example

POST {endpoint}/openai/v1/embeddings

Fine-tuning

Run grader

POST {endpoint}/openai/v1/fine_tuning/alpha/graders/run
Run a grader.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
graderOpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderPython or OpenAI.GraderScoreModel or OpenAI.GraderMulti or GraderEndpointThe grader used for the fine-tuning job.Yes
itemOpenAI.RunGraderRequestItemNo
model_samplestringThe model sample to be evaluated. This value will be used to populate
the sample namespace. See the guide for more details.
The output_json variable will be populated if the model sample is a
valid JSON string.
Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.RunGraderResponse
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Validate grader

POST {endpoint}/openai/v1/fine_tuning/alpha/graders/validate
Validate a grader.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ValidateGraderResponse
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List fine tuning checkpoint permissions

GET {endpoint}/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
List checkpoint permissions

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuned_model_checkpointpathYesstringThe ID of the fine-tuned model checkpoint to get permissions for.
project_idqueryNostringThe ID of the project to get permissions for.
afterqueryNostringIdentifier for the last permission ID from the previous pagination request.
limitqueryNointegerNumber of permissions to retrieve.
orderqueryNostring
Possible values: ascending, descending
The order in which to retrieve permissions.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListFineTuningCheckpointPermissionResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create fine tuning checkpoint permission

POST {endpoint}/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
Create checkpoint permissions

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuned_model_checkpointpathYesstringThe ID of the fine-tuned model checkpoint to create a permission for.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
project_idsarray of stringThe project identifiers to grant access to.Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListFineTuningCheckpointPermissionResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete fine tuning checkpoint permission

DELETE {endpoint}/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions/{permission_id}
Delete checkpoint permission

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuned_model_checkpointpathYesstringThe ID of the fine-tuned model checkpoint to delete a permission for.
permission_idpathYesstringThe ID of the fine-tuned model checkpoint permission to delete.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.DeleteFineTuningCheckpointPermissionResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Create fine tuning job

POST {endpoint}/openai/v1/fine_tuning/jobs
Creates a fine-tuning job which begins the process of creating a new model from a given dataset. Response includes details of the enqueued job including job status and the name of the fine-tuned models once complete.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
hyperparametersOpenAI.CreateFineTuningJobRequestHyperparametersNo
└─ batch_sizestring or integerNoauto
└─ learning_rate_multiplierstring or numberNo
└─ n_epochsstring or integerNoauto
integrationsarray of OpenAI.CreateFineTuningJobRequestIntegrations or nullA list of integrations to enable for your fine-tuning job.No
metadataOpenAI.Metadata or nullNo
methodOpenAI.FineTuneMethodThe method used for fine-tuning.No
modelstring (see valid models below)The name of the model to fine-tune. You can select one of the
supported models.
Yes
seedinteger or nullThe seed controls the reproducibility of the job. Passing in the same seed and job parameters should produce the same results, but may differ in rare cases.
If a seed is not specified, one will be generated for you.
No
suffixstring or nullA string of up to 64 characters that will be added to your fine-tuned model name.
For example, a suffix of “custom-model-name” would produce a model name like ft:gpt-4o-mini:openai:custom-model-name:7p4lURel.
No
training_filestringThe ID of an uploaded file that contains training data.
See upload file for how to upload a file.
Your dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose fine-tune.
The contents of the file should differ depending on if the model uses the chat, completions format, or if the fine-tuning method uses the preference format.
See the fine-tuning guide for more details.
Yes
validation_filestring or nullThe ID of an uploaded file that contains validation data.
If you provide this file, the data is used to generate validation
metrics periodically during fine-tuning. These metrics can be viewed in
the fine-tuning results file.
The same data should not be present in both train and validation files.
Your dataset must be formatted as a JSONL file. You must upload your file with the purpose fine-tune.
See the fine-tuning guide for more details.
No

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.FineTuningJob
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List paginated fine tuning jobs

GET {endpoint}/openai/v1/fine_tuning/jobs
List your organization’s fine-tuning jobs

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
afterqueryNostringIdentifier for the last job from the previous pagination request.
limitqueryNointegerNumber of fine-tuning jobs to retrieve.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListPaginatedFineTuningJobsResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve fine tuning job

GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}
Get info about a fine-tuning job.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstringThe ID of the fine-tuning job.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.FineTuningJob
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Cancel fine tuning job

POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/cancel
Immediately cancel a fine-tune job.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstringThe ID of the fine-tuning job to cancel.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.FineTuningJob
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List fine tuning job checkpoints

GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints
List the checkpoints for a fine-tuning job.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstringThe ID of the fine-tuning job to get checkpoints for.
afterqueryNostringIdentifier for the last checkpoint ID from the previous pagination request.
limitqueryNointegerNumber of checkpoints to retrieve.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListFineTuningJobCheckpointsResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Fine tuning - copy checkpoint

POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints/{fine_tuning_checkpoint_id}/copy
Creates a copy of a fine-tuning checkpoint at the given destination account and region. NOTE: This Azure OpenAI API is in preview and subject to change.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstring
fine_tuning_checkpoint_idpathYesstring

Request Header

NameRequiredTypeDescription
aoai-copy-ft-checkpointsTruestring
Possible values: preview
Enables access to checkpoint copy operations for models, an AOAI preview feature.
This feature requires the ‘aoai-copy-ft-checkpoints’ header to be set to ‘preview’.
acceptTruestring
Possible values: application/json

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
destinationResourceIdstringThe ID of the destination Resource to copy.Yes
regionstringThe region to copy the model to.Yes

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonCopyModelResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Fine tuning - get checkpoint

GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints/{fine_tuning_checkpoint_id}/copy
Gets the status of a fine-tuning checkpoint copy. NOTE: This Azure OpenAI API is in preview and subject to change.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstring
fine_tuning_checkpoint_idpathYesstring

Request Header

NameRequiredTypeDescription
aoai-copy-ft-checkpointsTruestring
Possible values: preview
Enables access to checkpoint copy operations for models, an AOAI preview feature.
This feature requires the ‘aoai-copy-ft-checkpoints’ header to be set to ‘preview’.
acceptTruestring
Possible values: application/json

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonCopyModelResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

List fine tuning events

GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/events
Get status updates for a fine-tuning job.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstringThe ID of the fine-tuning job to get events for.
afterqueryNostringIdentifier for the last event from the previous pagination request.
limitqueryNointegerNumber of events to retrieve.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListFineTuningJobEventsResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Pause fine tuning job

POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/pause
Pause a fine-tune job.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstringThe ID of the fine-tuning job to pause.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.FineTuningJob
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Resume fine tuning job

POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/resume
Resume a paused fine-tune job.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
fine_tuning_job_idpathYesstringThe ID of the fine-tuning job to resume.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.FineTuningJob
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Models

List models

GET {endpoint}/openai/v1/models
Lists the currently available models, and provides basic information about each one such as the owner and availability.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.ListModelsResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Retrieve model

GET {endpoint}/openai/v1/models/{model}
Retrieves a model instance, providing basic information about the model such as the owner and permissioning.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
modelpathYesstringThe ID of the model to use for this request.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.Model
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Delete model

DELETE {endpoint}/openai/v1/models/{model}
Deletes a model instance.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
modelpathYesstringThe ID of the model to delete.

Responses

Status Code: 200 Description: The request has succeeded.
Content-TypeTypeDescription
application/jsonOpenAI.DeleteModelResponse
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Realtime

Create real time call

POST {endpoint}/openai/v1/realtime/calls
Create a new Realtime API call over WebRTC and receive the SDP answer needed to complete the peer connection.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.

Request Body

Content-Type: multipart/form-data
NameTypeDescriptionRequiredDefault
sdpstringWebRTC Session Description Protocol (SDP) offer generated by the caller.Yes
sessionOpenAI.RealtimeSessionCreateRequestGARealtime session object configuration.No
└─ audioOpenAI.RealtimeSessionCreateRequestGAAudioConfiguration for input and output audio.No
└─ includearray of stringAdditional fields to include in server outputs.
item.input_audio_transcription.logprobs: Include logprobs for input audio transcription.
No
└─ instructionsstringThe default system instructions (i.e. system message) prepended to model calls. This field allows the client to guide the model on desired responses. The model can be instructed on response content and format, (for example “be extremely succinct”, “act friendly”, “here are examples of good responses”) and on audio behavior (for example “talk quickly”, “inject emotion into your voice”, “laugh frequently”). The instructions are not guaranteed to be followed by the model, but they provide guidance to the model on the desired behavior.
Note that the server sets default instructions which will be used if this field is not set and are visible in the session.created event at the start of the session.
No
└─ max_output_tokensinteger (see valid models below)Maximum number of output tokens for a single assistant response,
inclusive of tool calls. Provide an integer between 1 and 4096 to
limit output tokens, or inf for the maximum available tokens for a
given model. Defaults to inf.
No
└─ modelstringThe Realtime model used for this session.No
└─ output_modalitiesarray of stringThe set of modalities the model can respond with. It defaults to ["audio"], indicating
that the model will respond with audio plus a transcript. ["text"] can be used to make
the model respond with text only. It is not possible to request both text and audio at the same time.
No[‘audio’]
└─ promptOpenAI.PromptReference to a prompt template and its variables.
Learn more.
No
└─ tool_choiceOpenAI.ToolChoiceOptions or OpenAI.ToolChoiceFunction or OpenAI.ToolChoiceMCPHow the model chooses tools. Provide one of the string modes or force a specific
function/MCP tool.
Noauto
└─ toolsarray of OpenAI.RealtimeFunctionTool or OpenAI.MCPToolTools available to the model.No
└─ tracingstring or OpenAI.RealtimeSessionCreateRequestGATracing or null"" Set to null to disable tracing. Once
tracing is enabled for a session, the configuration cannot be modified.
auto will create a trace for the session with default values for the
workflow name, group id, and metadata.
Noauto
└─ truncationOpenAI.RealtimeTruncationWhen the number of tokens in a conversation exceeds the model’s input token limit, the conversation be truncated, meaning messages (starting from the oldest) will not be included in the model’s context. A 32k context model with 4,096 max output tokens can only include 28,224 tokens in the context before truncation occurs.
Clients can configure truncation behavior to truncate with a lower max token limit, which is an effective way to control token usage and cost.
Truncation will reduce the number of cached tokens on the next turn (busting the cache), since messages are dropped from the beginning of the context. However, clients can also configure truncation to retain messages up to a fraction of the maximum context size, which will reduce the need for future truncations and thus improve the cache rate.
Truncation can be disabled entirely, which means the server will never truncate but would instead return an error if the conversation exceeds the model’s input token limit.
No
└─ typeenumThe type of session to create. Always realtime for the Realtime API.
Possible values: realtime
Yes

Responses

Status Code: 201 Description: The request has succeeded and a new resource has been created as a result.
Content-TypeTypeDescription
application/sdpstring
Response Headers:
HeaderTypeDescription
locationstringRelative URL containing the call ID for subsequent control requests.
Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Accept real time call

POST {endpoint}/openai/v1/realtime/calls/{call_id}/accept
Accept an incoming SIP call and configure the realtime session that will handle it.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
call_idpathYesstringThe identifier for the call provided in the realtime.call.incoming webhook.

Request Body

Content-Type: application/json
NameTypeDescriptionRequiredDefault
audioOpenAI.RealtimeSessionCreateRequestGAAudioNo
└─ inputOpenAI.RealtimeSessionCreateRequestGAAudioInputNo
└─ outputOpenAI.RealtimeSessionCreateRequestGAAudioOutputNo
includearray of stringAdditional fields to include in server outputs.
item.input_audio_transcription.logprobs: Include logprobs for input audio transcription.
No
instructionsstringThe default system instructions (i.e. system message) prepended to model calls. This field allows the client to guide the model on desired responses. The model can be instructed on response content and format, (for example “be extremely succinct”, “act friendly”, “here are examples of good responses”) and on audio behavior (for example “talk quickly”, “inject emotion into your voice”, “laugh frequently”). The instructions are not guaranteed to be followed by the model, but they provide guidance to the model on the desired behavior.
Note that the server sets default instructions which will be used if this field is not set and are visible in the session.created event at the start of the session.
No
max_output_tokensinteger (see valid models below)Maximum number of output tokens for a single assistant response,
inclusive of tool calls. Provide an integer between 1 and 4096 to
limit output tokens, or inf for the maximum available tokens for a
given model. Defaults to inf.
No
modelstringThe Realtime model used for this session.No
output_modalitiesarray of stringThe set of modalities the model can respond with. It defaults to ["audio"], indicating
that the model will respond with audio plus a transcript. ["text"] can be used to make
the model respond with text only. It is not possible to request both text and audio at the same time.
No[‘audio’]
promptOpenAI.PromptReference to a prompt template and its variables.
Learn more.
No
tool_choiceOpenAI.ToolChoiceOptions or OpenAI.ToolChoiceFunction or OpenAI.ToolChoiceMCPHow the model chooses tools. Provide one of the string modes or force a specific
function/MCP tool.
No
toolsarray of OpenAI.RealtimeFunctionTool or OpenAI.MCPToolTools available to the model.No
tracingstring or OpenAI.RealtimeSessionCreateRequestGATracing or null"" Set to null to disable tracing. Once
tracing is enabled for a session, the configuration cannot be modified.
auto will create a trace for the session with default values for the
workflow name, group id, and metadata.
No
truncationOpenAI.RealtimeTruncationWhen the number of tokens in a conversation exceeds the model’s input token limit, the conversation be truncated, meaning messages (starting from the oldest) will not be included in the model’s context. A 32k context model with 4,096 max output tokens can only include 28,224 tokens in the context before truncation occurs.
Clients can configure truncation behavior to truncate with a lower max token limit, which is an effective way to control token usage and cost.
Truncation will reduce the number of cached tokens on the next turn (busting the cache), since messages are dropped from the beginning of the context. However, clients can also configure truncation to retain messages up to a fraction of the maximum context size, which will reduce the need for future truncations and thus improve the cache rate.
Truncation can be disabled entirely, which means the server will never truncate but would instead return an error if the conversation exceeds the model’s input token limit.
No
typeenumThe type of session to create. Always realtime for the Realtime API.
Possible values: realtime
Yes

Responses

Status Code: 200 Description: The request has succeeded. Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Hang up realtime call

POST {endpoint}/openai/v1/realtime/calls/{call_id}/hangup
End an active Realtime API call, whether it was initiated over SIP or WebRTC.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
call_idpathYesstringThe identifier for the call.

Responses

Status Code: 200 Description: The request has succeeded. Status Code: default Description: An unexpected error response.
Content-TypeTypeDescription
application/jsonobject
Response Headers:
HeaderTypeDescription
apim-request-idstringA request ID used for troubleshooting purposes.

Refer real time call

POST {endpoint}/openai/v1/realtime/calls/{call_id}/refer
Transfer an active SIP call to a new destination using the SIP REFER verb.

URI Parameters

NameInRequiredTypeDescription
endpointpathYesstringSupported Azure OpenAI endpoints (protocol and hostname, for example: https://aoairesource.openai.azure.com. Replace “aoairesource” with your Azure OpenAI resource name). https://{your-resource-name}.openai.azure.com
api-versionqueryNostringThe explicit Azure AI Foundry Models API version to use for this request.
v1 if not otherwise specified.
call_idpathYesstringThe identifier for the call provided in the realtime.call.incoming webhook.

Request Body

[...]
